Bug 871789 - LVMError: pvcreate failed for /dev/dasda1: running lvm pvcreate --config devices { filter=["r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|"] } --dataalignment 1024k /dev/dasda1 failed [NEEDINFO]
LVMError: pvcreate failed for /dev/dasda1: running lvm pvcreate --config dev...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
18
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
abrt_hash:1fab06cb82bdb61d496427cf551...
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2012-10-31 07:56 EDT by Dan Horák
Modified: 2013-12-09 05:34 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 05:34:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
agk: needinfo? (dan)


Attachments (Terms of Use)
File: anaconda-tb (1.16 MB, text/plain)
2012-10-31 07:56 EDT, Dan Horák
no flags Details
File: product (6 bytes, text/plain)
2012-10-31 07:56 EDT, Dan Horák
no flags Details
File: type (9 bytes, text/plain)
2012-10-31 07:56 EDT, Dan Horák
no flags Details
File: storage.log (1004.88 KB, text/plain)
2012-10-31 07:56 EDT, Dan Horák
no flags Details
File: version (8 bytes, text/plain)
2012-10-31 07:56 EDT, Dan Horák
no flags Details
File: environ (911 bytes, text/plain)
2012-10-31 07:56 EDT, Dan Horák
no flags Details
File: anaconda.log (45.67 KB, text/plain)
2012-10-31 07:56 EDT, Dan Horák
no flags Details
File: syslog (30.87 KB, text/plain)
2012-10-31 07:56 EDT, Dan Horák
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-31 07:56 EDT, Dan Horák
no flags Details
File: packaging.log (2.87 KB, text/plain)
2012-10-31 07:56 EDT, Dan Horák
no flags Details
File: cmdline_file (582 bytes, text/plain)
2012-10-31 07:56 EDT, Dan Horák
no flags Details
File: release (24 bytes, text/plain)
2012-10-31 07:56 EDT, Dan Horák
no flags Details
File: program.log (46.57 KB, text/plain)
2012-10-31 07:56 EDT, Dan Horák
no flags Details

  None (edit)
Description Dan Horák 2012-10-31 07:56:14 EDT
Description of problem:
Doing manual storage setup with LVM - removed existing setup and created 15G LV for / and 1G LV for swap.

Version-Release number of selected component:
anaconda-18.21

Additional info:
libreport version: 2.0.16
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.2-2.fc18.s390x

description:
:The following was filed automatically by anaconda:
:anaconda 18.21 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicelibs/lvm.py", line 179, in pvcreate
:    raise LVMError("pvcreate failed for %s: %s" % (device, msg))
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/lvmpv.py", line 112, in create
:    lvm.pvcreate(self.device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 439, in execute
:    options=self.device.formatArgs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 323, in processActions
:    action.execute()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 357, in doIt
:    self.devicetree.processActions()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 195, in turnOnFilesystems
:    storage.doIt()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 107, in doInstall
:    turnOnFilesystems(storage)
:  File "/usr/lib64/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
:    threading.Thread.run(self, *args, **kwargs)
:LVMError: pvcreate failed for /dev/dasda1: running lvm pvcreate --config  devices { filter=["r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|"] }  --dataalignment 1024k /dev/dasda1 failed
Comment 1 Dan Horák 2012-10-31 07:56:19 EDT
Created attachment 636067 [details]
File: anaconda-tb
Comment 2 Dan Horák 2012-10-31 07:56:21 EDT
Created attachment 636068 [details]
File: product
Comment 3 Dan Horák 2012-10-31 07:56:23 EDT
Created attachment 636069 [details]
File: type
Comment 4 Dan Horák 2012-10-31 07:56:26 EDT
Created attachment 636070 [details]
File: storage.log
Comment 5 Dan Horák 2012-10-31 07:56:28 EDT
Created attachment 636071 [details]
File: version
Comment 6 Dan Horák 2012-10-31 07:56:29 EDT
Created attachment 636072 [details]
File: environ
Comment 7 Dan Horák 2012-10-31 07:56:31 EDT
Created attachment 636073 [details]
File: anaconda.log
Comment 8 Dan Horák 2012-10-31 07:56:39 EDT
Created attachment 636074 [details]
File: syslog
Comment 9 Dan Horák 2012-10-31 07:56:43 EDT
Created attachment 636075 [details]
File: hashmarkername
Comment 10 Dan Horák 2012-10-31 07:56:45 EDT
Created attachment 636076 [details]
File: packaging.log
Comment 11 Dan Horák 2012-10-31 07:56:47 EDT
Created attachment 636077 [details]
File: cmdline_file
Comment 12 Dan Horák 2012-10-31 07:56:49 EDT
Created attachment 636078 [details]
File: release
Comment 13 Dan Horák 2012-10-31 07:56:50 EDT
Created attachment 636079 [details]
File: program.log
Comment 14 Alasdair Kergon 2012-11-07 10:39:37 EST
07:55:47,172 INFO program: Running... wipefs -a /dev/dasda1
07:55:47,193 INFO program: Running... udevadm settle --timeout=300
07:55:47,217 INFO program: Running... udevadm settle --timeout=300
07:55:47,272 INFO program: Running... wipefs -a /dev/dasda1
07:55:47,286 INFO program: Running... lvm pvcreate --config  devices { filter=["r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|"] }  --dataalignment 1024k /dev/dasda1
07:55:47,328 ERR program:   Device /dev/dasda1 not found (or ignored by filtering).


(Unnecessary to call wipefs twice there I presume.)

At the point of failure, what does 'ls -l /dev/dasda1' show?

Are there any udev 'watch' rules in place that could fire after the wipefs and be holding the device open and prevent pvcreate operating?


Please add -vvvv to the 'pvcreate' command (or enable logging in lvm.conf) then attach the new log information to obtain information about why lvm doesn't think it's there.
Comment 15 Peter Rajnoha 2013-12-09 05:34:45 EST
Closing this one - in needinfo for over a year. If seen again, feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.